Delete a tax rate
Módulo Finance
DELETE/tax-rates/{id}taxRates.delete
A tax rate with its effective dates. Soft-deletes the tax rate: it moves to Trash and can be restored for its table's retention period.
- Requiere la capacidad org.legal_entities.write.
- Alcances de OAuth: org.
- Estados de error: 401, 404, 422, 429. Los errores son detalles de problema RFC 9457.
Parámetros de ruta y de consulta
| Campo | Tipo | Obligatorio | Descripción |
|---|---|---|---|
| id | string (uuid) | Sí | Identifier of the tax rate. |
Respuesta 204: sin cuerpo.
Ejemplos de código
curl -X DELETE "$XOS_BASE_URL/tax-rates/0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f" \
-H "Authorization: Bearer $XOS_API_KEY"const { data } = await xos.taxRates.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f");response = xos.tax_rates.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f")xos tax-rates delete 0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f